Subject: Re: [bitcoin-dev] BIP Idea: Marginal Pricing

From: Eric Voskuil <[email-masked]>
Date: Thu, 30 Nov 2017 04:03:30 -0800

On 11/29/2017 10:13 PM, William Morriss via bitcoin-dev wrote:
> On Wed, Nov 29, 2017 at 6:38 PM, Ben Kloester <[email-masked]
> <mailto:[email-masked]>> wrote:
> 
>     Something similar to this has been proposed  in this article by Ron
>     Lavi, Or Sattath, and Aviv Zohar, and discussed in this bitcoin-dev
>     thread https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2017-September/015093.html
> 
>     They only discussed changing the fee structure, not removing the
>     block size limit, as far as I know.
> 
>         "Redesigning Bitcoin's fee market"
>         https://arxiv.org/abs/1709.08881 <https://arxiv.org/abs/1709.08881>
> 
>     *Ben Kloester*
> 
> Thanks. Marginal pricing is equivalent to the "Monopolistic Price
> Mechanism" discussed in https://arxiv.org/abs/1709.08881
> The mechanism is the same, including
> the block size adjustment, but as you noted the prior discussion only
> concerns the fee structure.
> 
> It looks like the prior proposal broke down because of Peter Todd's
> concern with out-of-band payments
> (https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2017-September/015103.html).
> Restated, miners can circumvent the system through out of band payments.
> Mark Friedenbach argues that out-of-band payments are penalized in part
> because the end-user could have just as easily bid higher instead of
> paying OOB. Peter Todd argues that a miner could mine only out-of-band
> transactions. Such transactions could have no on-chain fees and thus be
> disregarded by other miners.
> 
> I believe this OOB scenario is imaginary. Either it would be more
> profitable for a miner to mine fairly, or cheaper for the end-user to
> pay the fee in-band. 
> Consider MINFEE to the the effective fee paid for
> the block mined by the OOB-incentivized miner. Consider MARKFEE to the
> the market fee collected by non-OOB-incentivized miners. Call the OOB
> effective tx fee OOB. Then,
> For a user to prefer OOB: MINFEE+OOB<MARKFEE
> For a miner to prefer OOB: MINFEE+OOB>MARKFEE
> It is impossible for both scenarios to be true. As previously argued by
> Mark Friedenbach, the system disincentivizes OOB tx fees.

Bitcoin is neutral on how miners are paid. The benefit of on-chain fee
payment is that a fee can be paid with no communication between the
miner and the merchant, preserving anonymity. It also serves as a
convenience that anonymous fees are published, as it provides a basis
for anonymous fee estimation. There is no centralization pressure that
arises from side fees.

https://github.com/libbitcoin/libbitcoin/wiki/Side-Fee-Fallacy

> I don't think there is any more centralization pressure with marginal
> fees than before. What prevents miners from colluding to move tx fees
> OOB is the value of the on-band pending tx fees. The hashpower of
> individual miners is not impressive compared to the entire network, so
> individual miners could not offer a service to speed up confirmation
> that would be superior to simply doing a RBP. OOB fees are perhaps a
> symptom of the current setup, wherein there is no penalty for
> arbitrarily favoring individual transactions with lower fees.